Frequently asked questions

What are the technical requirements of using LATIPAY?

LATIPAY is supported on the following platforms:

Web Browsers:

  • Internet Explorer 8 or above
  • Google Chrome
  • Firefox 12 or above
  • Apple Safari 5 or above

Operating Systems:

  • Windows 8
  • Windows 7
  • Windows Vista
  • Windows Server 2003 & Windows Server 2008
  • Mac OS
  • iOS
  • Android


LATIPAY may work on other web browsers/operating systems although they are not supported.

* Please Note - Your CNY internet banking may not be supported by some web browsers/operating systems. for details, please refer to your bank's website.

We highly recommend that you use the internet explorer web browser when using the LATIPAY payment gateway.